%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-common
Version:          2.3.1
Release:          2%{?dist}
Summary:          JBossWS Common
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossws/common/tags/jbossws-common-2.3.1.Final/ jbossws-common-2.3.1.Final
# tar cafJ jbossws-common-2.3.1.Final.tar.xz jbossws-common-2.3.1.Final
Source0:          jbossws-common-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    jboss-common-core
BuildRequires:    jboss-ejb-3.1-api
BuildRequires:    jboss-jaxb-intros
BuildRequires:    jboss-jaxws-2.2-api
BuildRequires:    jboss-jaxrpc-1.1-api
BuildRequires:    jboss-jms-1.1-api
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    jbossws-api
BuildRequires:    jbossws-spi
BuildRequires:    jbossws-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    wsdl4j

%description
JBoss Web Services - Common

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-common-%{namedversion}

# Remove test where network connectivity is required
rm src/test/java/org/jboss/test/ws/common/management/AbstractServerConfigTestCase.java

# Add jaxrpc dependency, since it's required
%pom_xpath_inject "pom:dependencies" "<dependency><groupId>org.jboss.spec.javax.xml.rpc</groupId><artifactId>jboss-jaxrpc-api_1.1_spec</artifactId><version>1.0.1.Final</version></dependency>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-1
- Upstream release 2.3.1.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.3-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.3-1
- Upstream release 2.2.3.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-0.1.CR1
- Upstream release 2.2.0.CR1
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.1.0-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Nov 13 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upstream release 2.1.0.Final

* Tue Oct 09 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.4-5
- Added jbossws-parent BR
- Enabled tests
- Removed patch
- Using pom macros

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.4-3
- There are even more Message.properties files to copy...

* Fri Jun 22 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.4-2
- Fix missing Message.proprties file

* Fri May 4 2012 Patryk Obara <pobara@redhat.com> 2.0.4-1
- Initial packaging

